module.exports = {
  entry: './main.js',
  output: {
    filename: 'bundle.js', // default, skippable
    publicPath: 'http://localhost/assets'
  },
  module: {
    loaders: [
      {
        // Tell webpack to use jsx-loader for all *.js/*.jsx files
        test: /\.jsx?$/,
        loader: 'jsx-loader?insertPragma=React.DOM&harmony'
      }
    ]
  },
  externals: {
    // Don't bundle the "react" npm package with our bundle.js,
    // but get it from a global React variable.
    react: 'React'
  },
  resolve: {
    extensions: ['', '.js', '.jsx']
  }
};
